Subject: Re: bug#24870: 26.0.50; parse-partial-sexp ignores comment-end

From: Andreas Röhler <[email-masked]>
Date: Wed, 14 Dec 2016 07:45:45 +0100

On 14.12.2016 05:04, [email-masked] wrote:
> [email-masked] writes:
>>
>> I have tracked the issue down to scan_sexps_forward in syntax.c
> Applying this change which reverts part of [1] seems to fix the issue:
>
>
>
> Alan, can you explain what the idea behind that change was?
>
> I think it might correspond to this part of the commit message:
>
>      Reformulate code at the top of the main loop correctly to
>      recognize comment openers when starting in the middle of one.
>
> [1]: 9dcf5998935c Sun Mar 20 13:19:48 2016 +0000
> "Amend parse-partial-sexp correctly to handle two character comment delimiters"

Thanks a lot! BTW that message puzzles me too, AFAIK comments in C,C++ 
can't be nested.